%define upstream_name    Scalar-Util-LooksLikeNumber
%define upstream_version 1.39.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Access to looks_like_number() perl API function
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Scalar/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel

%description
'Scalar::Util::LooksLikeNumber' contains looks_like_number() like
'Scalar::Util''s looks_like_number(), except it returns the raw value from
the C function. Scalar::Util used to do this also, but it returns a
booleanized value since 1.39.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.json
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Tue Jun 07 2022 umeabot <umeabot> 1.39.2-7.mga9
+ Revision: 1862379
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 1.39.2-6.mga9
+ Revision: 1796021
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 1.39.2-5.mga9
+ Revision: 1727059
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 1.39.2-4.mga8
+ Revision: 1595154
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 1.39.2-3.mga8
+ Revision: 1529250
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tv <tv> 1.39.2-2.mga8
+ Revision: 1433195
- rebuild with perl-5.30

* Sat Oct 13 2018 shlomif <shlomif> 1.39.2-1.mga7
+ Revision: 1320144
- imported package perl-Scalar-Util-LooksLikeNumber


* Sat Oct 13 2018 cpan2dist 1.39.2-1mga
- initial mageia release, generated with cpan2dist
